@use "./functions" as fn;

@mixin gridItemPos($row, $col) {
    grid-row: $row;
    grid-column: $col;
}

@mixin navigation{

    &__list{
        display: flex;
        justify-content: space-around;
        align-items: center;
        height: 100%;
    }

    &__item{

    }

    &__link:link,
    &__link:visited{
        font-size: fn.font-size(sm);
        color: fn.color(primary);
        transition: all .3s;
    }

    &__link:hover,
    &__link:active {
        color: lighten(fn.color(primary), 40%);
    }    
    
}

@mixin flexPosition($display: flex, $justifyCont: center, $alignItems: center){
    @if $display != "_" {
        display: $display;
    } @else { // Set a default Value
        display: flex;
    }

    @if $justifyCont != "_"{
        justify-content: $justifyCont;
    } @else { // Set a default Value
        justify-content: center;
    }

    @if $alignItems != "_"{
        align-items: $alignItems;
    } @else { // Set a default Value
        align-items: center;
    }
}

@mixin footerList{
    &__heading{
        font-size: fn.font-size(lg);
        color: fn.color(primary);
    }

    &__item{
        margin: 1rem 0;
    }

    &__link:link,
    &__link:visited{
        font-size: fn.font-size(xs);
        color: lighten(fn.color(primary), 15%);
        transition: all .2s;
    }

    &__link:hover,
    &__link:active{
        color: lighten(fn.color(primary), 35%);
    }

}

@mixin respond ($breakpoint){
    @if $breakpoint == xl { // <= 1200px
        @media only screen and (max-width: 75em) { @content }
    };

    @if $breakpoint == lg { // <= 1000px
        @media only screen and (max-width: 62.5em) { @content }
    };

    @if $breakpoint == md { // <= 760px
        @media only screen and (max-width: 47.5em) { @content }
    };

    @if $breakpoint == sm { // <= 560px
        @media only screen and (max-width: 35em) { @content }
    };
}